Bug 24939 - Labels in system preferences not following capitalization rules
Summary: Labels in system preferences not following capitalization rules
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-22 22:25 UTC by Katrin Fischer
Modified: 2020-05-20 09:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24939: Fix capitalization of labels in sys pref editor (9.75 KB, patch)
2020-04-13 02:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24939: Fix capitalization of labels in sys pref editor (9.85 KB, patch)
2020-04-14 13:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24939: Fix capitalization of labels in sys pref editor (9.88 KB, patch)
2020-04-15 10:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-03-22 22:25:46 UTC
When looking at the section headings in the system preferences editor under administration, you can spot some 'capitalization rules' violations:

Examples:
Administration tab: Search Engine => Search engine
Comment 1 Katrin Fischer 2020-03-22 22:26:01 UTC
Putting this on the Trello as an academy bug.
Comment 2 Katrin Fischer 2020-04-13 02:20:04 UTC
Created attachment 102793 [details] [review]
Bug 24939: Fix capitalization of labels in sys pref editor

The headings/labels of sections in the sys pref editor didn't follow
Koha's capitalization rules.

To test:
- Go to Administration > System preferences
- Check all tabs for the spelling of the headings
Comment 3 Owen Leonard 2020-04-14 13:31:41 UTC
Created attachment 102930 [details] [review]
Bug 24939: Fix capitalization of labels in sys pref editor

The headings/labels of sections in the sys pref editor didn't follow
Koha's capitalization rules.

To test:
- Go to Administration > System preferences
- Check all tabs for the spelling of the headings

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Jonathan Druart 2020-04-15 10:01:59 UTC
Created attachment 102978 [details] [review]
Bug 24939: Fix capitalization of labels in sys pref editor

The headings/labels of sections in the sys pref editor didn't follow
Koha's capitalization rules.

To test:
- Go to Administration > System preferences
- Check all tabs for the spelling of the headings

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-04-15 11:40:21 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-05 22:39:54 UTC
enhancement not backported to 19.11.x